(Beta) Update a connection endpoint

Update a connection endpoint for a given event broker service.

Token Permissions: [ mission_control:access or service_connection_endpoint:put ]

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique identifier of the event broker service.

string
required

The unique identifier of the connection endpoint.

Body Params
string

The name of the connection endpoint. Optional for updates.

string

The description for the connection endpoint.

string
enum

The connectivity for the connection endpoint. This can be through private IP addresses (PRIVATE) or public internet (PUBLIC).

Allowed:
string
ports
array of objects

The protocols and port numbers of the connection endpoint. The serviceManagementTlsListenPort and serviceSmfTlsListenPort protocols along with the port numbers must be specified in the request.

Connection specific protocols.

  • Solace Messaging
    • 'serviceSmfPlainTextListenPort'-Use SMF Host (plain-text) over TCP to connect and exchange messages with the event broker service.
    • 'serviceSmfCompressedListenPort'-Use SMF (plain-text) in a compressed format over TCP to connect and exchange messages with the event broker service.
    • 'serviceSmfTlsListenPort'-Use secure SMF using TLS over TCP.

  • Solace Web Messaging
    • 'serviceWebPlainTextListenPort'-Use WebSocket over HTTP (plain-text).
    • 'serviceWebTlsListenPort'-Use WebSocket over secured HTTP.

  • AMQP
    • 'serviceAmqpPlainTextListenPort'-Use AMQP (plain-text).
    • 'serviceAmqpTlsListenPort'-Use AMQP over a secure TCP connection.

  • MQTT
    • 'serviceMqttPlainTextListenPort'-Use MQTT (plain-text).
    • 'serviceMqttWebSocketListenPort'-Use MQTT WebSocket (plain-text).
    • 'serviceMqttTlsListenPort'-Use secure MQTT.
    • 'serviceMqttTlsWebSocketListenPort'-Use WebSocket secured MQTT.

  • REST
    • 'serviceRestIncomingPlainTextListenPort'-Use REST messaging (plain-text).
    • 'serviceRestIncomingTlsListenPort'-Use secure REST messaging.

  • Management
    • 'serviceManagementTlsListenPort'-Use the secured management connection, which uses SEMP to manage the event broker. This port must be enabled on at least one of the service connection endpoints on the event broker service.
    • 'managementSshTlsListenPort'-Use a secure port to connect to the event broker service to issue Solace Command Line Interface (CLI). This port provides you with scope-restricted access to the event broker service.
      Optional for updates - only provided ports will be modified.
ports
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json